Page MenuHomePhabricator

Merge new site branding to master branch and prepare for deployments
Closed, ResolvedPublic2 Story Points

Description

Background

We want to merge all the branding work into the MobileFrontend master branch but we want to feature flag switching from a search input to a search icon.

Acceptance Criteria

  • Ensure T157987 has been merged (search bar is feature flagged)
  • Merge contents of branding branch onto master and confirm search button on mobile is disabled by default in stable but shown on beta.
  • Ensure browser tests pass on the beta cluster
  • Create a new task when the switchover has been merged as a reminder to remove css for cached HTML (this is captured as https://phabricator.wikimedia.org/T158144)

Merging

  • No need to SWAT - just let it ride the train.

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: JGirault.

@JGirault hey do you know where the static files live (e.g. Wikipedia logo etc)? I ask as I think you recently changed them on the discovery portal.

Jdlrobson added a comment.EditedJan 27 2017, 12:45 AM

@Nirzar is going to add assets for the top 10 wikipedias so we can launch this with logo for all those projects (others we can gradually update during roll out). Nirzar please make sure they are all the same resolution!

Nirzar added a comment.EditedJan 27 2017, 1:06 AM

Wikipedia Languages

englishwikipedia-wordmark-en.svg
Germanwikipedia-wordmark-en.svg
Frenchwikipedia-wordmark-fr.svg
Polishwikipedia-wordmark-en.svg
Japanesewikipedia-wordmark-jp.svg
Dutchwikipedia-wordmark-en.svg
Italianwikipedia-wordmark-en.svg
Portugesewikipedia-wordmark-pt.svg
Spanishwikipedia-wordmark-en.svg
Russianwikipedia-wordmark-ru.svg

Nirzar added a comment.EditedJan 27 2017, 1:14 AM

Other projects - optional

commons

wikivoyage

Wikitionary

@JGirault hey do you know where the static files live (e.g. Wikipedia logo etc)? I ask as I think you recently changed them on the discovery portal.

Not sure if this is going to answer the question...

  • Static assets on portal live here:

https://github.com/wikimedia/portals/tree/master/dev/wikipedia.org/assets/img
/cc @Jdrewniak

  • But I know some of them live on Commons:

https://commons.wikimedia.org/wiki/Category:High-resolution_or_SVG_official_Wikimedia_logos
/
https://commons.wikimedia.org/w/index.php?title=Special:Search&profile=advanced&profile=advanced&fulltext=1&search=Wikipedia+wordmark&ns6=1

Good luck!

Nemo_bis removed a subscriber: Nemo_bis.Jan 27 2017, 7:35 AM
Qgil removed a subscriber: Qgil.Jan 27 2017, 8:16 AM

@Jdlrobson - would it make sense to separate the test deploy (to a single wiki) as a subtask?

@ovasileva yes please. Be sure to document where we want to put it and how long it needs to run for and if any schemas will need updating...

Change 336352 had a related patch set uploaded (by Jdlrobson):
Adjust new header styles to be compatible with cached HTML

https://gerrit.wikimedia.org/r/336352

Jdlrobson renamed this task from Deploy new site branding to master branch to Deploy new site branding to master branch and prepare for deployments.Feb 7 2017, 6:48 PM
Jdlrobson updated the task description. (Show Details)

Change 336459 had a related patch set uploaded (by Jdlrobson):
WIP: Allow feature flagging of new header

https://gerrit.wikimedia.org/r/336459

Jdlrobson updated the task description. (Show Details)Feb 7 2017, 7:13 PM

Change 336459 had a related patch set uploaded (by Jdlrobson):
Allow feature flagging of new header

https://gerrit.wikimedia.org/r/336459

Change 336459 abandoned by Jdlrobson:
Allow feature flagging of new header

Reason:
Should be on branding branch

https://gerrit.wikimedia.org/r/336459

Change 336353 had a related patch set uploaded (by Jdlrobson):
Allow feature flagging of new header

https://gerrit.wikimedia.org/r/336353

phuedx renamed this task from Deploy new site branding to master branch and prepare for deployments to Merge new site branding to master branch and prepare for deployments.Feb 9 2017, 5:47 PM
Jdlrobson set the point value for this task to 5.Feb 9 2017, 5:51 PM
Jdlrobson added a subscriber: Florian.

Merged the above task as we specifically fixed this issue in the new header rewrite which you can test on the branding mobilefrontend branch.

Jdlrobson removed the point value for this task.
Jdlrobson removed a project: Patch-For-Review.
ovasileva updated the task description. (Show Details)Feb 14 2017, 4:28 PM
ovasileva raised the priority of this task from Normal to High.Feb 14 2017, 4:34 PM

Change 337764 had a related patch set uploaded (by Jdlrobson):
Merge remote-tracking branch 'gerrit/branding'

https://gerrit.wikimedia.org/r/337764

Change 337765 had a related patch set uploaded (by Jdlrobson):
Run search related browser tests against beta

https://gerrit.wikimedia.org/r/337765

Change 337764 merged by jenkins-bot:
Merge remote-tracking branch 'gerrit/branding'

https://gerrit.wikimedia.org/r/337764

Change 337765 merged by jenkins-bot:
Run search related browser tests against beta

https://gerrit.wikimedia.org/r/337765

Jdlrobson updated the task description. (Show Details)EditedFeb 15 2017, 1:22 AM
Jdlrobson added a subscriber: Jhernandez.

So I just went ahead and pulled this in because I'm a loose cannon and going on vacation soon and wanted to ensure we get this in a good place before I leave etc sorry @Jhernandez ;-)

This can be signed off provided:

The interim header will go live from 21st February.

Jdlrobson closed this task as Resolved.Feb 15 2017, 6:03 PM
Jdlrobson claimed this task.

Build is green and checked with @Nirzar and he signed off.